Debian Bug report logs - #234443
manpages-dev: strcasecmp/strncasecmp conform to SUSv3

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Marek Habersack <grendel@debian.org>

Date: Mon, 23 Feb 2004 22:48:03 UTC

Severity: minor

Tags: fixed-upstream

Found in version 1.66-1

Fixed in version 2.09-1

Done: Justin Pryzby <justinpryzby@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#234443; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Marek Habersack <grendel@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marek Habersack <grendel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: strcasecmp/strncasecmp conform to SUSv3
Date: Mon, 23 Feb 2004 23:34:35 +0100
[Message part 1 (text/plain, inline)]
Package: manpages-dev
Version: 1.66-1
Severity: minor

As in the subject, the two functions are defined in SUSv3. Attached you will
find a patch that changes the relevant file.

thanks,

marek

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.3-mm1
Locale: LANG=pl_PL, LC_CTYPE=pl_PL

Versions of packages manpages-dev depends on:
ii  manpages                      1.66-1     Manual pages about using a GNU/Lin

-- no debconf information

[strcasecmp-susv3.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#234443; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 234443@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 234443@bugs.debian.org
Subject: Patch strcasecmp
Date: Sat, 18 Dec 2004 17:22:02 +0100
Moin Michael!

Marek Habersack wrote in <http://bugs.debian.org/234443>

| As in the subject, the two functions are defined in SUSv3. Attached you will
| find a patch that changes the relevant file.

and provided this patch

Index: man3/strcasecmp.3
===================================================================
RCS file: /var/cvs/debian/manpages/man3/strcasecmp.3,v
retrieving revision 1.1.1.4
diff -u -p -r1.1.1.4 strcasecmp.3
--- man3/strcasecmp.3	2 Nov 2004 09:42:15 -0000	1.1.1.4
+++ man3/strcasecmp.3	18 Dec 2004 16:19:41 -0000
@@ -50,7 +50,7 @@ an integer less than, equal to, or great
 (or the first \fIn\fP bytes thereof) is found, respectively, to be 
 less than, to match, or be greater than \fIs2\fP.
 .SH "CONFORMING TO"
-BSD 4.4
+BSD 4.4, SUSv3
 .SH "SEE ALSO"
 .BR bcmp (3),
 .BR memcmp (3),

This seems to be correct.  Please also apply upstream.

Regards,

	Joey

-- 
Experience is something you don't get until just after you need it.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#234443; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 234443@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: 234443@bugs.debian.org,control@bugs.debian.org
Subject: fixed-upstream
Date: Wed, 21 Sep 2005 14:41:12 +0200 (MEST)
tags 234443 fixed-upstream
thanks

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marek Habersack <grendel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 234443-done@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 234443-done@bugs.debian.org
Subject: str(n?)casecmp.3 fixed in manpages 2.09-1
Date: Tue, 22 Nov 2005 12:45:52 -0500
Version: 2.09-1

Bug #234443: "manpages-dev: strcasecmp/strncasecmp conform to SUSv3"
is fixed in recent manpages upload, though it may have also been fixed
by earlier uploads this month.

-- 
Clear skies,
Justin



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 09:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:31:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.